### Hierarchy

- SearchRequest

## Index

### Constructors

- constructor

### Properties

- id
- owner
- tags

### Methods

- toJson
- fromJson

## Constructors

### constructor

- new SearchRequest(tags?: Map<String, String>): SearchRequest

- - Defined in repository/models/SearchRequest.ts:14

  #### Parameters

  - ##### Default value tags: Map<String, String> = new Map()

  #### Returns SearchRequest

## Properties

### id

id: number = 0

- Defined in repository/models/SearchRequest.ts:5

### owner

owner: string = "0x0"

- Defined in repository/models/SearchRequest.ts:6

### tags

tags: Map<String, String>

- Defined in repository/models/SearchRequest.ts:7

## Methods

### toJson

- toJson(): any

- - Defined in repository/models/SearchRequest.ts:20

  #### Returns any

### Static fromJson

- fromJson(json: any): SearchRequest

- - Defined in repository/models/SearchRequest.ts:9

  #### Parameters

  - ##### json: any

  #### Returns SearchRequest

Generated using TypeDoc